* {
  font-family: 'Inter', sans-serif;
}

.table > tbody > tr > td,
.table > tbody > tr > th,
.table > tfoot > tr > td,
.table > tfoot > tr > th,
.table > thead > tr > td,
.table > thead > tr > th {
  vertical-align: middle;
  border: 1px solid #ddd;
  text-align: center;
}

@media screen and (min-width: 1100px) {
  .ctable {
    margin-top: 30px;
  }
  .col-xs-12 {
    flex: 0 0 100%;
    max-width: 100%;
  }
}

@media screen and (max-width: 1023px) {
  .desktop {
    display: none;
  }
  .ctable {
    overflow-x: scroll;
    margin-top: 56px;
    width: 100%;
  }
  .navbar-fixed-top {
    position: fixed;
    width: 100%;
    z-index: 111111;
  }
  .navbar-collapse {
    max-height: none;
  }
  body {
    margin: 0;
  }
  .container {
    max-width: 100%;
  }
  .pass {
    width: 100%;
  }
}

.table {
  border: 2px solid;
}

th,
.hora {
  background-color: #ddd;
  font-weight: bold;
  border: 1px solid #777 !important;
}

.pista {
  background-color: #555;
  color: #fff;
}

th {
  background-color: #ffc107;
}

.oculto {
  display: none;
}

.selectpicker {
  border-radius: 3px;
  height: 40px;
  width: 100%;
}

.modal-header .close {
  padding: 5px;
  margin: 0;
}

/*.btn-primary {
    border-color: #009688;
    background-color: #009688;
}*/

.logo {
  padding: 0.25rem 0.75rem 0.25rem 0rem;
}

/*.btn-primary:hover {
    border-color: #607D8B;
    background-color: #607D8B;
}*/

.scelda {
  font-size: small;
  padding: 3px !important;
  height: 60px;
}

.creserva {
  background-color: #f44336;
  color: #fff;
}

.title {
  margin-bottom: 0;
  display: contents;
}

.scelda:hover {
  cursor: pointer;
}

.navbar-brand img {
  width: 32px;
  margin-right: 5px;
  margin-left: -15px;
  margin-top: -5px;
}

@media screen and (max-width: 991px) {
  .navbar-brand img {
    width: 30px;
    margin-right: 5px;
    margin-left: -4px;
    margin-top: -2px;
  }
  .login-logo {
    margin-top: 5px !important;
  }
  .movile-help-bottom-table {
    display: table-row !important;
  }
  .creserva {
    width: 100%;
  }
  .table {
    margin-bottom: 0;
  }
  .cuenta,
  .como {
    border-bottom: 1px solid #555;
    border-top: 1px solid #555;
  }
  ul.navbar-nav.ml-auto {
    padding-top: 10px;
  }
  tr {
    font-size: small;
  }
  .table-scroll {
    position: relative;
    width: 100%;
    max-width: 100%;
    margin: 0;
    overflow: hidden;
  }
  .table-wrap {
    width: 100%;
    overflow: auto;
  }
  .table-scroll table {
    width: 100%;
    margin: auto;
    border-collapse: separate;
    border-spacing: 0;
  }
  .table-scroll th,
  .table-scroll td {
    padding: 5px 10px;
    white-space: nowrap;
    vertical-align: top;
    width: auto;
  }
  .navbar {
    padding: 0.5rem 1rem;
  }
  .extra {
    margin-top: 20% !important;
  }
  .title {
    font-size: 20px;
  }
  .extra-mv {
    margin-top: 30px;
  }
}

@media screen and (min-width: 500px) and (max-width: 991px) {
  .scelda {
    height: 30px;
  }
}

.box {
  border: #ccc solid 1px;
  border-radius: 3px;
  height: 36px;
  width: 100%;
  padding: 10px;
}

.login-box {
  width: 300px;
  border: solid 1px #343a40;
  margin-top: 25px;
  border-radius: 4px;
  background-color: #f0f0f0;
  font-size: 14px;
}

.header-login {
  background-color: #343a40;
  color: #ffffff;
  padding: 3px;
  text-align: center;
  margin: 0;
}

.inner-login {
  margin: 20px;
}

.error-login {
  font-size: 11px;
  color: #cc0000;
  margin-top: 10px;
}

.footer-login a {
  color: #212121;
  text-decoration: underline;
}

th {
  color: #212121 !important;
}

.clone {
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.clone th,
.clone td {
  visibility: hidden;
}

.clone td,
.clone th {
  border-color: transparent;
}

.clone tbody th {
  visibility: visible;
  color: red;
}

.clone .fixed-side {
  visibility: visible;
}

.clone thead,
.clone tfoot {
  background: transparent;
}

@media screen and (min-width: 1024px) {
  .extra-mv .form-group {
    margin-bottom: 23px;
  }
  .extra-mv .btn-primary {
    margin-top: 10px;
  }
  .clone {
    display: none;
  }
}

.day {
  color: azure !important;
  font-weight: 400;
  border: 1px solid #ccc !important;
  background-color: #555555;
}

.login-logo {
  margin-top: 20px;
}

.modal {
  top: 15% !important;
}

.inner-login .selectpicker {
  border: 1px solid #ccc;
  padding: 8px;
  color: #6b747c;
  font-size: 12px;
  background-color: white !important;
  height: 32px;
  margin-bottom: 10px;
}

.header-login h5 {
  margin-top: 0.5em;
}

.inner-login .form-control,
.inner-login .form-select {
  font-size: 12px;
}

.form-select {
  width: 30.8%;
  float: left;
  margin: 0 3px 20px 3px;
}

label {
  font-size: 14px;
  margin: 0;
  text-align: left;
  display: block;
  padding-left: 2px;
}

.form-group {
  margin-bottom: 0.5rem;
}

/*.pass {
    width: auto;
}*/

input:disabled {
  border: none;
  height: 28px;
  width: 100%;
  border-radius: 5px;
  padding: 0 10px !important;
  font-size: 12px;
  background-color: lightgray;
}

@media (min-width: 768px) {
  .col-md-6 {
    -ms-flex: 0 0 50%;
    flex: 0 0 50% !important;
    max-width: 50% !important;
  }
}

@media screen and (min-width: 768px) and (max-width: 1024px) {
  .ctable {
    margin: 0 !important;
    width: 100% !important;
    max-width: 100% !important;
  }
  #table-scroll {
    width: 100% !important;
  }
  .navbar-fixed-top {
    position: relative !important;
  }
  .main-table {
    margin-bottom: 0;
  }
}

@media screen and (min-width: 768px) and (max-width: 768px) {
  .scelda {
    height: 70px !important;
    width: auto;
  }
  .extra {
    margin-top: 30px !important;
  }
  .extra-mv {
    margin-top: 0 !important;
  }
}

.fila-registro {
  margin: 12px 0;
  border-bottom: 1px solid #ddd;
}

/*.qr {
    margin: 10px 0 0;
    width: 155px;
    border: 4px dashed #009688;
    border-radius: 5px;
}*/

.registros-table {
  border: none;
}

.registros-table th {
  padding: 0;
  background: none;
  color: #212121 !important;
  border: none !important;
  border-bottom: 2px solid #212121 !important;
}

.registros-table th,
.registros-table td {
  text-align: left !important;
  border-right: none !important;
  border-left: none !important;
  padding: 5px 0 !important;
}

.registros-table {
  margin: 10px 0 40px;
}

@media screen and (max-width: 991px) {
  .registros-table tr {
    font-size: small;
  }
}

.scelda {
  background-color: var(--success);
  color: white;
}

.creserva {
  background-color: var(--danger) !important;
  font-family: 'Inter Mono', monospace;
}

@media screen and (min-width: 480px) and (max-width: 990px) {
  .extra {
    margin-top: 12% !important;
  }
}

@media screen and (min-width: 768px) and (max-width: 768px) {
  .extra {
    margin-top: 3% !important;
  }
  .extra-mv {
    margin-top: 0 !important;
  }
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  border: none !important;
  background-color: transparent !important;
  background: transparent !important;
}

.page-item.active .page-link {
  background-color: #181818 !important;
  border-color: #181818 !important;
}

.page-link {
  color: #181818 !important;
}

.page-item.active .page-link {
  color: #fff !important;
}

.qr {
  margin: 10px 0 0;
  height: 215px;
  border-radius: 5px;
  width: 100%;
  background: #fff;
  box-shadow: 0 1px 3px rgb(0 0 0 / 12%), 0 1px 2px rgb(0 0 0 / 24%);
}

.invalid-feedback {
  display: block !important;
  font-size: 12px;
  text-align: left;
  font-weight: 500;
}

/* .mt-3 {
  margin-top: 1rem !important;
} */
